apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}
  labels:
    app: {{ .Release.Name }}
    type: "ctf-service"
    team: {{ .Values.teamId  }}
    service: {{ .Values.serviceId }}
    ctf-version: {{ .Values.version | quote }}
    ctf-viable-for-scale: "true"
spec:
  selector:
    matchLabels:
      project: {{ .Release.Name }}
  template:
    metadata:
      labels:
        networking/allow-dns-egress: "true"
        project: "{{ .Release.Name }}"
        type: "ctf-service"
        team: {{ .Values.teamId  }}
        service: {{ .Values.serviceId }}
        ctf-version: {{ .Values.version | quote }}
    spec:
      automountServiceAccountToken: false
      enableServiceLinks: false
      containers:
        - name: "service"
          image: {{ printf "%s/%s/%s:%s" .Values.registryPath .Values.teamId .Values.serviceId .Values.version }}
          args: ["--spring.datasource.url=jdbc:postgresql://{{ .Release.Name }}-postgresql:5432/sluck"]
          securityContext:
            runAsNonRoot: true
            allowPrivilegeEscalation: false
            runAsUser: 1001
            runAsGroup: 1001
            readOnlyRootFilesystem: true
            capabilities:
              drop:
                - all
          livenessProbe:
            httpGet:
              path: /
              port: 8080
            initialDelaySeconds: 20
            periodSeconds: 20
            timeoutSeconds: 10
          startupProbe:
            httpGet:
              path: /
              port: 8080
            failureThreshold: 30
            periodSeconds: 10
          resources:
            requests:
              memory: {{ .Values.container.resources.requests.memory }}
              cpu: {{ .Values.container.resources.requests.cpu }}
            limits:
              memory: {{ .Values.container.resources.limits.memory }}
              cpu: {{ .Values.container.resources.limits.cpu }}
          ports:
            - containerPort: 8080
          volumeMounts:
            - mountPath: /tmp
              name: tmp
      volumes:
        - name: tmp
          emptyDir: {}
      imagePullSecrets:
        - name: adplatf-gitlab-registry-dockerconfig